# SpawnLocation

SpawnLocation : `FormFactorPart`

## Overview

SpawnLocation은 플레이어의 캐릭터가 생성될 위치를 지정하는 객체입니다.

플레이어가 게임에 입장하거나, 게임 도중 캐릭터가 사망했을 때 SpawnLocation 위치에서 캐릭터가 다시 생성됩니다.

## Properties

### Enabled

`boolean`

SpawnLocation의 활성화 여부를 설정합니다.

비활성화된 상태의 SpawnLocation에는 캐릭터가 생성되지 않으며, 스폰될 수 있는 SpawnLocation이 하나도 없는 경우, (0, 0, 0) 좌표에 생성됩니다.

#### Code Samples

```lua
local SpawnLocation = script.Parent

SpawnLocation.Enabled = false
```

### Neutral

`boolean`

해당 SpawnLocation이 특정 팀에 속하는지 여부를 설정합니다.

이 속성이 true인 경우, 팀과 관계없이 모든 플레이어가 해당 스폰 지점에서 생성될 수 있습니다.

반대로 false인 경우, 플레이어의 팀 색상(Player.TeamColor)이 팀 색상(SpawnLocation.TeamColor)과 정확히 일치할 경우에만 해당 지점에서 캐릭터가 생성됩니다.

#### Code Samples

```lua
local SpawnLocation = script.Parent

SpawnLocation.Neutral = true
```

### TeamColor

`BrickColor`

해당 SpawnLocation이 어느 팀과 연결되어 있는지를 설정합니다.

Neutral 속성이 비활성화된 상태라면, 팀 색상이 일치하는 플레이어만 해당 SpawnLocation에서 스폰할 수 있습니다.

#### Code Samples

```lua
local SpawnLocation = script.Parent

SpawnLocation.TeamColor = BrickColor.new("Lime green")
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/spawnlocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
